%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  optimLanduse
%global packver   1.2.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.2.1
Release:          1%{?dist}%{?buildtag}
Summary:          Robust Land-Use Optimization

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-lpSolveAPI >= 5.5.2.0.17.7
BuildRequires:    R-CRAN-future.apply >= 1.9.0
BuildRequires:    R-CRAN-future >= 1.28.0
BuildRequires:    R-CRAN-tidyr >= 1.1.2
BuildRequires:    R-CRAN-dplyr >= 1.0.0
Requires:         R-CRAN-lpSolveAPI >= 5.5.2.0.17.7
Requires:         R-CRAN-future.apply >= 1.9.0
Requires:         R-CRAN-future >= 1.28.0
Requires:         R-CRAN-tidyr >= 1.1.2
Requires:         R-CRAN-dplyr >= 1.0.0

%description
Robust multi-criteria land-allocation optimization that explicitly
accounts for the uncertainty of the indicators in the objective function.
Solves the problem of allocating scarce land to various land-use options
with regard to multiple, coequal indicators. The method aims to find the
land allocation that represents the indicator composition with the best
possible trade-off under uncertainty. optimLanduse includes the actual
optimization procedure as described by Knoke et al. (2016)
<doi:10.1038/ncomms11877> and the post-hoc calculation of the portfolio
performance as presented by Gosling et al. (2020)
<doi:10.1016/j.jenvman.2020.110248>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
